安装gcc问题?

C、C++和Java语言
回复
ichenq
帖子: 43
注册时间: 2008-06-02 18:22
送出感谢: 0
接收感谢: 0

安装gcc问题?

#1

帖子 ichenq » 2008-06-02 19:28

我用的是8.04,论坛上说直接sudo apt-get install build-essential就可以,
但是终端始终显示没有这个软件包?
是不是还需要网络环境?(我的没有联网)
或者到哪个目录下?
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#2

帖子 dbzhang800 » 2008-06-02 19:41

三种办法,
1.联网
2.设置光盘源
3.下载离线包

具体情况,自己搜索
头像
sevk
帖子: 2059
注册时间: 2007-05-08 16:26
系统: arch
来自: 火星内核某分子内某原子核内
送出感谢: 20 次
接收感谢: 6 次
联系:

#3

帖子 sevk » 2008-06-02 19:47

估计你没换源


sevk@kk-NoteBook:~$ aptitude search ^build-
p build-essential - 编译程序必须软件包的列表信息
sevk@kk-NoteBook:~$ aptitude show build-essential
软件包: build-essential
状态: 未安装
版本号: 11.3ubuntu1
优先级: 可选
部分: devel
维护者: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
未压缩尺寸: 49.2k
依赖于: libc6-dev | libc-dev, gcc (>= 4:4.1.1), g++ (>= 4:4.1.1), make, dpkg-dev
(>= 1.13.5)
描述: 编译程序必须软件包的列表信息
如果您不打算编译 Debian 软件包,就不需要安装此软件包。而且要编译 Debian 软
件包,此软件包也不是必须的。

本软件包包含一个列表,表中列出了在编译 Debian 软件包时所必须的软件包。
本软件包依赖于列表中的软件,这样,安装编译程序必须的软件包就会很简单。

如果安装了此软件包,在编译软件包时,你只需要安装其特别要求的编译时依赖关
系。反过来说,在确定软件包的依赖关系的时候,您完全可以忽略此软件包所依赖的
这些包。

本软件包并不是定义那些软件包是编译必须的;真正的定义在 Debian 策略手册中。本
软件包仅包含一个大家都需要的列表。然而,如果此软件包和手册发生冲突,以
手册为准。
笔记本 :
F208S : gentoo
A460P i3G D6 : UBUNTU + WIN7
UN43D1 : UBUNTU + WIN7
1000人超级QQ群 LINUX + WIN : 31465544 或 18210387
flyinflash
帖子: 2376
注册时间: 2006-09-21 14:28
送出感谢: 0
接收感谢: 0

#4

帖子 flyinflash » 2008-06-06 10:30

不管什么时候,如果您没有手动下载过DEB软件包,并且移动到/var/cache/apt/archives,您都要联网。


联网后,想安装什么直接在新立得里面安装,不要什么终端,自找麻烦。 :D :D
wanzy
帖子: 110
注册时间: 2008-05-11 12:08
送出感谢: 0
接收感谢: 0

#5

帖子 wanzy » 2008-06-11 18:59

你都没联网,sudo apt-get install build-essential怎么安装?
ichenq
帖子: 43
注册时间: 2008-06-02 18:22
送出感谢: 0
接收感谢: 0

Re: 安装gcc问题?

#6

帖子 ichenq » 2009-09-20 15:19

善始善终,发本贴最后一次回复,算是结贴吧

之前一直用的是fedora core,那个装好就带了gcc编译套件了,所以我第一次用ubuntu的时候也想当然,让各位见笑了
回复

回到 “C/C++/Java”